<h4 style="text-decoration:underline;margin-left: 120px;margin-top: 30px;">This is Task 2</h4>

<div style="display: flex;gap:10px;margin-top: 50px;margin-left: 115px;">
<button (click)="offset=0" type="button" class="btn btn-outline-danger" style="background-color: red; color: white;"> Button 1</button>
<button (click)="offset=1" type="button" class="btn btn-outline-success"style="background-color: green;color: white; "> Button 2</button>
<button (click)="offset=2" type="button" class="btn btn-outline-primary"style="background-color: blue;color: white;">Button 3</button>
</div>

<div *ngFor="let color of colors;let i=index" style="display:flex; gap:20px; margin-top:20px;margin-left: 115px;">  
    <div id="name" [style.background]="colors[(i+offset)%3]" style="height: 200px; width: 200px; border:3px solid black; display: flex; justify-content: center; align-items: center;">
    </div> 
    <div id="name1" [style.color]="colors[(i+offset)%3]" style="height: 200px; width: 200px; color:black; border:3px solid black; display: flex; justify-content: center; align-items: center;">{{colors[(i+offset)%3]}}
    </div>
</div> 
